-- 1.1.1-dev
C_Timer.After(1, function()
    print("LazySpecs 1.1.0-dev")

    -- Button that is shown in the CharacterFrame
    local frame = CreateFrame("Button", "LazySpecsPriorityButton", CharacterStatsPane.AttributesCategory, UIPanelButtonTemplate)
    frame:SetPoint("RIGHT", CharacterStatsPane.AttributesCategory, "RIGHT", -20, 0)
    --frame:SetBackdrop({bgFile = "Interface\\Buttons\\UI-PageButton-Background", edgeFile = "Interface\\AddOns\\LazySpecs\\Files\\Images\\glassborder", edgeSize = 5})
    frame:SetSize(20, 20)
    --frame:SetPushedTexture("Interface\\ICONS\\misc_arrowleft.blp")
    frame:SetHighlightTexture("Interface\\ICONS\\misc_arrowright.blp")
    frame:SetNormalTexture("Interface\\ICONS\\misc_arrowright.blp")
    frame.prioriName = frame:CreateFontString(nil, "ARTWORK") --Create a FontString to display text
    frame.prioriName:SetFont("Fonts\\FRIZQT__.TTF", 12) --Set the font and size
    frame.prioriName:SetTextColor(120,120,0) --Set the text colour
    frame.prioriName:SetAllPoints(true)
    frame.prioriName:SetJustifyH("CENTER")
    frame.prioriName:SetJustifyV("CENTER")
    --frame.prioriName:SetText(">")
    frame:SetScript("OnClick", function(self, arg1)
        PlaySound(SOUNDKIT.U_CHAT_SCROLL_BUTTON)
        if isLazySpecsPriorityFrameHidden == 1 then
            LazySpecsPriorityFrame:Show()
            frame:SetHighlightTexture("Interface\\ICONS\\misc_arrowleft.blp")
            frame:SetNormalTexture("Interface\\ICONS\\misc_arrowleft.blp")
            isLazySpecsPriorityFrameHidden = 0
        elseif isLazySpecsPriorityFrameHidden == 0 then
            LazySpecsPriorityFrame:Hide()
            frame:SetHighlightTexture("Interface\\ICONS\\misc_arrowright.blp")
            frame:SetNormalTexture("Interface\\ICONS\\misc_arrowright.blp")
            isLazySpecsPriorityFrameHidden = 1
        end
    end)
    frame:SetScript("OnMouseDown", function(self, arg1)
        frame:SetSize(17, 17)
    end)
    frame:SetScript("OnMouseUp", function(self, arg1)
        frame:SetSize(20, 20)
    end)


    -- Stat Priority Frame that is toggled with LazySpecsPriorityButton, shown in the CharacterFrame
    local f=CreateFrame("Frame","LazySpecsPriorityFrame", CharacterFrame) --Create a frame
    f:SetFrameStrata("BACKGROUND") --Set its strata
    f:SetHeight(427) --Give it height
    f:SetWidth(180) --and width -- old 200
    f:SetPoint("TOPLEFT", CharacterFrame, "TOPRIGHT", 2, 2)
    f:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", --Set the background and border textures
        edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
        tile = true, tileSize = 16, edgeSize = 16, 
        insets = { left = 4, right = 4, top = 4, bottom = 4 }
    })
    f:SetBackdropColor(0, 0, 0) --Set the background colour to black
    f:SetPoint("CENTER") --Put it in the centre of the parent frame (UIParent)
    -- Initially, we're going to be hiding the frame
    LazySpecsPriorityFrame:Hide()
    isLazySpecsPriorityFrameHidden = 1
    -- Icon that is shows at the top of the frame
    f.icon = CreateFrame("Frame","LazySpecsPriorityFrameClassIcon", LazySpecsPriorityFrame)
    f.icon = f:CreateTexture(nil,"CENTER"); -- create texture as child of myframe
    f.icon:SetHeight(30)
    f.icon:SetWidth(30)
    --f.icon:SetAllPoints();
    f.icon:SetPoint("CENTER", LazySpecsPriorityFrame, "TOP", 0, -28, 0, 0)
    local _,class = UnitClass("player"); -- get non-localized class name
    f.icon:SetTexture("Interface\\GLUES\\CHARACTERCREATE\\UI-CHARACTERCREATE-CLASSES"); -- this is the image containing all class icons
    local coords = CLASS_ICON_TCOORDS[class]; -- get the coordinates of the class icon we want
    f.icon:SetTexCoord(unpack(coords)); -- cut out the region with our class icon according to coords


    -- Getting the player's information
    function getPlayerInfo()
        playerClass, englishClass = UnitClass("player");
        currentSpec = GetSpecialization()
        currentSpecName = currentSpec and select(2, GetSpecializationInfo(currentSpec)) or "None"
        playerClassName = playerClass
        playerSpecName = currentSpecName
    end
    getPlayerInfo()



    -- Database
    playableClassesDB = {
        'DEATHKNIGHT1', -- [1]
        'DEATHKNIGHT2',
        'DEATHKNIGHT3',
        'DEMONHUNTER1',
        'DEMONHUNTER2',
        'DRUID1',
        'DRUID2',
        'DRUID3',
        'DRUID4',
        'HUNTER1',
        'HUNTER2',
        'HUNTER3',
        'MAGE1',
        'MAGE2',
        'MAGE3',
        'MONK1',
        'MONK2',
        'MONK3',
        'PALADIN1',
        'PALADIN2',
        'PALADIN3',
        'PRIEST1',
        'PRIEST2',
        'PRIEST3',
        'ROGUE1',
        'ROGUE2',
        'ROGUE3',
        'SHAMAN1',
        'SHAMAN2',
        'SHAMAN3',
        'WARLOCK1',
        'WARLOCK2',
        'WARLOCK3',
        'WARRIOR1',
        'WARRIOR2',
        'WARRIOR3' -- [36]
    }
    
    playableClassesSP = {  
        'Versatility > Haste > Critical Strike > Mastery', -- 1 - death-knight-blood.txt
		'Mastery > Critical Strike > Versatility > Haste', -- 2 - death-knight-frost.txt
		'Haste > Critical Strike = Versatility > Mastery', -- 3 - death-knight-unholy.txt
		'Versatility > Critical Strike = Haste > Agility > Mastery', -- 4 - demon-hunter-havoc.txt
		'Agility > Haste > Versatility > Mastery > Critical Strike', -- 5 - demon-hunter-vengeance.txt
		'Intellect > Haste > Mastery > Critical Strike > Versatility', -- 6 - druid-balance.txt
		'Critical Strike > Mastery > Haste > Agility > Versatility', -- 7 - druid-feral.txt
		'Armor = Agility = Stamina > Mastery > Versatility > Haste > Critical Strike', -- 8 - druid-guardian.txt
		'Intellect > Haste = Critical Strike = Versatility > Mastery', -- 9 - druid-restoration.txt
		'Critical Strike > Haste > Mastery > Versatility', -- 10 - hunter-beast-mastery.txt
		'Mastery > Haste > Critical Strike > Versatility', -- 11 - hunter-marksmanship.txt
		'Haste > Critical Strike > Versatility > Mastery', -- 12 - hunter-survival.txt
		'Intellect > Critical Strike > Haste > Mastery > Versatility', -- 13 - mage-arcane.txt
		'Intellect > Mastery > Versatility > Haste > Critical Strike', -- 14 - mage-fire.txt
		'Intellect > Critical Strike > Haste > Versatility > Mastery > Critical Strike', -- 15 - mage-frost.txt
		'Agility > Critical Strike = Versatility = Mastery > Haste', -- 16 - monk-brewmaster.txt
		'Intellect > Critical Strike > Mastery = Versatility > Haste', -- 17 - monk-mistweaver.txt
		'Weapon Damage > Agility > Versatility > Mastery > Critical Strike > Haste', -- 18 - monk-windwalker.txt
		'Intellect > Critical Strike > Mastery > Haste > Versatility', -- 19 - paladin-holy.txt
		'Haste > Mastery > Versatility > Critical Strike', -- 20 - paladin-protection.txt
		'Strength > Haste > Critical Strike = Versatility = Mastery', -- 21 - paladin-retribution.txt
		'Intellect > Haste > Critical Strike > Versatility > Mastery', -- 22 - priest-discipline.txt
		'Intellect > Mastery = Critical Strike > Versatility > Haste', -- 23 - priest-holy.txt
		'Haste = Critical Strike > Intellect > Mastery > Versatility', -- 24 - priest-shadow.txt
		'Agility > Haste > Critical Strike > Mastery > Versatility', -- 25 - rogue-assassination.txt
		'Agility > Critical Strike > Haste > Versatility > Mastery', -- 26 - rogue-outlaw.txt
		'Versatility > Critical Strike > Mastery > Haste', -- 27 - rogue-subtlety.txt
		'Intellect > Critical Strike > Haste > Versatility > Mastery', -- 28 - shaman-elemental.txt
		'Haste > Critical Strike = Versatility > Mastery > Agility', -- 29 - shaman-enhancement.txt
		'Intellect > Critical Strike > Versatility > Haste = Mastery', -- 30 - shaman-restoration.txt
		'Mastery > Intellect > Haste > Critical Strike > Versatility', -- 31 - warlock-affliction.txt
		'Intellect > Haste > Critical Strike > Versatility > Mastery', -- 32 - warlock-demonology.txt
		'Mastery > Haste > Critical Strike > Intellect > Versatility', -- 33 - warlock-destruction.txt
		'Haste > Critical Strike > Versatility > Mastery > Strength', -- 34 - warrior-arms.txt
		'Critical Strike > Mastery > Haste > Versatility > Strength', -- 35 - warrior-fury.txt
		'Haste > Armor > Versatility > Mastery > Critical Strike > Strength', -- 36 - warrior-protection.txt
    }

    playableClassesTP = {
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentNo',
		'talentMaybe',
		'talentYes',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentNo',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentYes',
		'talentMaybe',
		'talentNo',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentMaybe',
		'talentMaybe',
		'talentMaybe',
		'talentYes',
		'talentNo',
		'talentNo',
		'talentYes',
		'talentNo',
		'talentNo'
	}

    
    -- Function used to load Priorities
    function refreshPriorities()
        actualClass = englishClass .. GetSpecialization()
        a = 0
        repeat
            a = a + 1
        until( string.lower(actualClass) == string.lower(playableClassesDB[a]) )
        fixedPriority1 = string.gsub(playableClassesSP[a], ">", "\n>\n")
        fixedPriority2 = string.gsub(fixedPriority1, "/", " = ")
        fixedPriority3 = string.gsub(fixedPriority2, "=", "\n=\n")
        playerStatPriority = string.gsub(fixedPriority3, " %(", "\n%(") 
    end
    -- Use the function to update Priorities right away
    refreshPriorities()


    -- Function used to update the Priorities' text
    function updatePriorityText()
        --f.className:SetText(playerClassName)
        f.specName:SetText(playerSpecName)
        f.statPriority:SetText(playerStatPriority)
    end

    
    -- Frame that handles events
    local frame, events = CreateFrame("Frame", "LazySpecsEventsFrame", UIParent), {};
    function events:ACTIVE_TALENT_GROUP_CHANGED(...)
        -- When you change talents, re-load the player info and refresh/update everything
        getPlayerInfo()
        refreshPriorities()
        updatePriorityText()
    end
    frame:SetScript("OnEvent", function(self, event, ...)
     events[event](self, ...); -- call one of the functions above
    end);
    for k, v in pairs(events) do
     frame:RegisterEvent(k); -- Register all events for which handlers have been defined
    end


    -- Adding text to the frame "LazySpecsPriorityFrame"
    -- We're adding it after everything has been done, initially
    f.className = f:CreateFontString(nil, "ARTWORK") --Create a FontString to display text
    f.className:SetFont("Fonts\\FRIZQT__.TTF", 16) --Set the font and size
    f.className:SetTextColor(1, 1, 1) --Set the text colour
    f.className:SetPoint("TOP", LazySpecsPriorityFrame, "TOP", 0, -20, 0, 0)
    f.className:SetJustifyH("CENTER")
    f.className:SetJustifyV("TOP")
    --f.className:SetText(playerClassName)

    f.specName = f:CreateFontString(nil, "ARTWORK") --Create a FontString to display text
    f.specName:SetFont("Fonts\\FRIZQT__.TTF", 16) --Set the font and size
    f.specName:SetTextColor(1, 1, 1) --Set the text colour
    f.specName:SetPoint("TOP", LazySpecsPriorityFrame, "TOP", 0, -50, 0, 0)
    f.specName:SetJustifyH("CENTER")
    f.specName:SetJustifyV("TOP")
    f.specName:SetText(playerSpecName)

    f.statPriority = f:CreateFontString(nil, "ARTWORK") --Create a FontString to display text
    f.statPriority:SetFont("Fonts\\FRIZQT__.TTF", 14) --Set the font and size
    f.statPriority:SetTextColor(1, 1, 1) --Set the text colour
    f.statPriority:SetAllPoints(true)
    f.statPriority:SetJustifyH("CENTER")
    f.statPriority:SetJustifyV("CENTER")
    f.statPriority:SetText(playerStatPriority)

end)